{
  "_id": "esquilino",
  "_version": "1.0.0",
  "_name": "Esquilino",
  "_schema": {
    "fonteInformazione": {
      "_children": [
        {
          "filesetIta": {
            "_type": "RegisteredFileSet"
          }
        }
      ]
    },
    "documentazioneScientifica": {
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet"
          }
        }
      ]
    },
    "immaginiRappresentative": {
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet"
          }
        }
      ]
    },
    "datiAltimetrici": {
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet"
          }
        }
      ]
    },
    "planimetria": {
      "_children": [
        {
          "fileset": {
            "_type": "RegisteredFileSet"
          }
        }
      ]
    }
  },
  "_description": "UCD for Equilino",
  "_creationInfo": {
    "_user": {
      "_username": "fabio.sinibaldi"
    }
  },
  "_dataAccessPolicies": [
    {
      "_policy": {
        "_read": "any",
        "_write": "any"
      },
      "_roles": [
        "Data-Manager"
      ]
    },
    {
      "_policy": {
        "_read": "own",
        "_write": "own"
      },
      "_roles": [
        "Data-Editor"
      ]
    },
    {
      "_policy": {
        "_read": "any",
        "_write": "none"
      },
      "_roles": [
        "Member"
      ],
      "_enforcer": {
        "_filter": "{\"_lifecycleInformation._phase\" :  {\"$eq\" :  \"PUBLISHED\"}}"
      }
    },
    {
      "_policy": {
        "_read": "none",
        "_write": "none"
      },
      "_roles": []
    }
  ],
  "_handlers": [
    {
      "_id": "DEFAULT-SINGLE-STEP",
      "_type": "LifecycleManagement",
      "_configuration": {
        "step_access": [
          {
            "STEP": "PUBLISH",
            "roles": [
              "Data-Manager",
              "Data-Editor"
            ]
          },
          {
            "STEP": "UNPUBLISH",
            "roles": [
              "Data-Manager"
            ]
          }
        ]
      }
    },
    {
      "_id": "SDI-Default-Materializer",
      "_type": "Materializer",
      "_configuration": {
        "registeredFileSetPaths": [
          {
            "schemaField": "datiAltimetrici",
            "documentPath": "datiAltimetrici[*].fileset"
          },
          {
            "schemaField": "planimetria",
            "documentPath": "planimetria.fileset"
          }
        ]
      }
    },
    {
      "_id": "SDI-Indexer-Plugin",
      "_type": "Indexer",
      "_configuration": {
        "bboxEvaluation": [
          "$..planimetria.._bbox"
        ],
        "explicitFieldMapping": [
          {
            "name": "definizione",
            "path": "$._theDocument.definizione",
            "type": "TEXT"
          },
          {
            "name": "denominazione",
            "path": "$._theDocument.denominazione",
            "type": "TEXT"
          },
          {
            "name": "descrizione",
            "path": "$._theDocument.descrizione",
            "type": "TEXT"
          },
          {
            "name": "cronologia",
            "path": "$._theDocument.cronologia",
            "type": "TEXT"
          },
          {
            "name": "codice_partizione_archeologica",
            "path": "$._theDocument.codice_partizione_archeologica",
            "type": "TEXT"
          },
          {
            "name": "modalita_acquisizione",
            "path": "$._theDocument.modalita_acquisizione",
            "type": "TEXT"
          },
          {
            "name": "contributore",
            "path": "$._theDocument.contributore",
            "type": "TEXT"
          },
          {
            "name": "titolare_dati",
            "path": "$._theDocument.titolare_dati",
            "type": "TEXT"
          },
          {
            "name": "soggetto",
            "path": "$._theDocument.soggetto",
            "type": "TEXT"
          },
          {
            "name": "copyright",
            "path": "$._theDocument.copyright",
            "type": "TEXT"
          }
        ],
        "jslt": {},
        "additionalLayers": [
          {
            "source": {
              "url": "..."
            },
            "toSetTitle": ""
          }
        ]
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-data-entry-app",
      "_type": "DATA_ENTRY_GUI",
      "_configuration": {
        "gcubeProfiles": [
          {
            "gcubeSecondaryType": "GeoportalMetadata",
            "gcubeName": "Esquilino_Dati_Descrittivi",
            "sectionName": "$.",
            "sectionTitle": "Dati Descrittivi"
          },
          {
            "gcubeSecondaryType": "GeoportalMetadata",
            "gcubeName": "Esquilino_Fonte_Informazione",
            "sectionName": "fonteInformazione",
            "sectionTitle": "Fonte dell'informazione",
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "Carica Abstract Ita (in PDF)",
                "fieldDefinition": "$.fonteInformazione._children[?(@.filesetIta)]",
                "fieldName": "filesetIta"
              }
            ]
          },
          {
            "gcubeSecondaryType": "GeoportalMetadata",
            "gcubeName": "Esquilino_Documentazione_Scientifica",
            "sectionName": "documentazioneScientifica",
            "sectionTitle": "Documentazione scientifica",
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "Documentazione scientifica (in PDF)",
                "fieldDefinition": "$.documentazioneScientifica._children[?(@.fileset)]",
                "fieldName": "fileset"
              }
            ]
          },
          {
            "gcubeSecondaryType": "GeoportalMetadata",
            "gcubeName": "Esquilino_Immagine",
            "sectionName": "immaginiRappresentative",
            "sectionTitle": "Immagini Rappresentative",
            "minOccurs": 1,
            "maxOccurs": 10,
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "Immagine",
                "fieldDefinition": "$.immaginiRappresentative._children[?(@.fileset)]",
                "fieldName": "fileset"
              }
            ]
          },
          {
            "gcubeSecondaryType": "GeoportalMetadata",
            "gcubeName": "Esquilino_Dati_Altimetrici",
            "sectionName": "datiAltimetrici",
            "sectionTitle": "Dati Altimetrici",
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "File",
                "fieldDefinition": "$.datiAltimetrici._children[?(@.fileset)]",
                "fieldName": "fileset"
              }
            ]
          },
          {
            "gcubeSecondaryType": "GeoportalMetadata",
            "gcubeName": "Esquilino_Planimetria",
            "sectionName": "planimetria",
            "sectionTitle": "Planimetria",
            "parentName": "$.",
            "filePaths": [
              {
                "gcubeProfileFieldName": "File",
                "fieldDefinition": "$.planimetria._children[?(@.fileset)]",
                "fieldName": "fileset"
              }
            ]
          }
        ],
        "saveStep": ""
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-data-list",
      "_type": "DATA_LIST_GUI",
      "_configuration": {
        "itemFields": [
          {
            "label": "Any Field",
            "paths": [
              "_theDocument.definizione",
              "_theDocument.denominazione",
              "_theDocument.descrizione",
              "_theDocument.cronologia",
              "_theDocument.codice_partizione_archeologica",
              "_theDocument.modalita_acquisizione",
              "_theDocument.contributore",
              "_theDocument.titolare_dati",
              "_theDocument.soggetto",
              "_theDocument.copyright"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": false
          },
          {
            "label": "Definition",
            "paths": [
              "_theDocument.definizione"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Name",
            "paths": [
              "_theDocument.denominazione"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Code",
            "paths": [
              "_theDocument.codice_partizione_archeologica"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Director/Staff",
            "paths": [
              "_theDocument.contributore",
              "_theDocument.titolare_dati"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": false
          },
          {
            "label": "Chronology",
            "paths": [
              "_theDocument.cronologia"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": true
          },
          {
            "label": "Creator",
            "paths": [
              "_info._creationInfo._user._username"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": false
          },
          {
            "label": "Updated",
            "paths": [
              "_info._lastEditInfo._instant"
            ],
            "operator": "$or",
            "searchable": false,
            "sortable": true,
            "asResult": false
          },
          {
            "label": "Phase",
            "paths": [
              "_lifecycleInformation._phase"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": true,
            "asResult": false
          },
          {
            "label": "Status",
            "paths": [
              "_lifecycleInformation._lastOperationStatus"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": true,
            "asResult": false
          }
        ]
      }
    },
    {
  "_id": "org.gcube.portlets.user.geoportal-basic-data-list",
      "_type": "BASIC_DATA_LIST_GUI",
      "_configuration": {
        "itemFields": [
          {
            "label": "Any Field",
            "paths": [
              "_theDocument.definizione",
              "_theDocument.denominazione",
              "_theDocument.descrizione",
              "_theDocument.cronologia",
              "_theDocument.codice_partizione_archeologica",
              "_theDocument.modalita_acquisizione",
              "_theDocument.contributore",
              "_theDocument.titolare_dati",
              "_theDocument.soggetto",
              "_theDocument.copyright"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": false
          },
          {
            "label": "Definition",
            "paths": [
              "_theDocument.definizione"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Name",
            "paths": [
              "_theDocument.denominazione"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Code",
            "paths": [
              "_theDocument.codice_partizione_archeologica"
            ],
            "operator": "$and",
            "searchable": true,
            "sortable": true,
            "asResult": true
          },
          {
            "label": "Director/Staff",
            "paths": [
              "_theDocument.contributore",
              "_theDocument.titolare_dati"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": true
          },
          {
            "label": "Chronology",
            "paths": [
              "_theDocument.cronologia"
            ],
            "operator": "$or",
            "searchable": true,
            "sortable": false,
            "asResult": true
          }
        ]
      }
    },
    {
      "_id": "org.gcube.portlets.user.geoportal-workflow-action-list",
      "_type": "WORKFLOW_ACTION_LIST_GUI",
      "_configuration": {
        "actionsDefinition": [
          {
            "id": "post_creation_action",
            "title": "Post Creation Action",
            "call_STEPS": [
              "PUBLISH"
            ],
            "description": "Action fired after the Project creation",
            "display_on_phase": []
          },
          {
            "id": "submit_for_review",
            "title": "Submit for Review",
            "call_STEPS": [
              "SUBMIT-FOR-REVIEW"
            ],
            "description": "Submit the Project (for review)",
            "display_on_phase": [
              "DRAFT"
            ]
          },
          {
            "id": "reject",
            "title": "Reject",
            "call_STEPS": [
              "REJECT-DRAFT"
            ],
            "description": "Reject the Project",
            "display_on_phase": [
              "Pending Approval"
            ]
          },
          {
            "id": "approve",
            "title": "Approve",
            "call_STEPS": [
              "APPROVE-SUBMITTED"
            ],
            "description": "Approve the Project",
            "display_on_phase": [
              "Pending Approval"
            ]
          },
          {
            "id": "unpublish",
            "title": "UnPublish",
            "call_STEPS": [
              "UNPUBLISH"
            ],
            "description": "UnPublish the Project",
            "display_on_phase": [
              "Published"
            ]
          },
          {
            "id": "unpublish",
            "title": "UnPublish",
            "call_STEPS": [
              "UNPUBLISH"
            ],
            "description": "UnPublish the Project",
            "display_on_phase": [
              "PUBLISHED"
            ]
          }
        ]
      }
    }
  ]
}